
#include <mutex>

extern "C" bool cxx_qt_init_crate_cxx_qt();
extern "C" bool cxx_qt_init_crate_cxx_qt_lib();

static bool do_init() {
    static std::once_flag flag;
    std::call_once(flag, []() {
        cxx_qt_init_crate_cxx_qt();
cxx_qt_init_crate_cxx_qt_lib();
    });
    return true;
}

extern "C" bool cxx_qt_init_crate_idescriptor_rust_codebase() {
    return do_init();
}
            